package com.ruoyi.ss.intention.service;

import java.util.List;
import com.ruoyi.ss.intention.domain.Intention;
import com.ruoyi.ss.intention.domain.IntentionVO;
import com.ruoyi.ss.intention.domain.IntentionQuery;

/**
 * 合作意向Service接口
 *
 * @author qzz
 * @date 2024-11-21
 */
public interface IIntentionService
{
    /**
     * 查询合作意向
     *
     * @param intentionId 合作意向主键
     * @return 合作意向
     */
    public IntentionVO selectEIntentionByIntentionId(Long intentionId);

    /**
     * 查询合作意向列表
     *
     * @param eIntention 合作意向
     * @return 合作意向集合
     */
    public List<IntentionVO> selectEIntentionList(IntentionQuery eIntention);


    public int selectCount(IntentionQuery eIntention);

    /**
     * 新增合作意向
     *
     * @param eIntention 合作意向
     * @return 结果
     */
    public int insertEIntention(Intention eIntention);

    /**
     * 修改合作意向
     *
     * @param eIntention 合作意向
     * @return 结果
     */
    public int updateEIntention(Intention eIntention);

    /**
     * 批量删除合作意向
     *
     * @param intentionIds 需要删除的合作意向主键集合
     * @return 结果
     */
    public int deleteEIntentionByIntentionIds(Long[] intentionIds);

    /**
     * 删除合作意向信息
     *
     * @param intentionId 合作意向主键
     * @return 结果
     */
    public int deleteEIntentionByIntentionId(Long intentionId);
}
